> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create out-of-band connection



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /servers/{server_id}/out_of_band_connection
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /servers/{server_id}/out_of_band_connection:
    post:
      tags:
        - Servers
      summary: Create out-of-band connection
      operationId: create-server-out-of-band
      parameters:
        - name: server_id
          in: path
          required: true
          examples:
            Created:
              value: sv_8NkvdyGKDeLpx
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - out_of_band
                    attributes:
                      type: object
                      properties:
                        ssh_key_id:
                          type: string
                          description: SSH Key ID to set for out of band
                  required:
                    - type
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: out_of_band
                    attributes:
                      ssh_key_id: ssh_3YjJOLMydvZ87
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - out_of_band
                    attributes:
                      type: object
                      properties:
                        ssh_key_id:
                          type: string
                          description: SSH Key ID to set for out of band
                  required:
                    - type
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: out_of_band
                    attributes:
                      ssh_key_id: ssh_3YjJOLMydvZ87
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: obc_mw49QDB5qagKb
                      type: out_of_band
                      attributes:
                        ssh_key:
                          id: ssh_3YjJOLMydvZ87
                          description: wisozk-gislason.example
                          fingerprint: 14:e2:8e:b3:9e:f5:08:31:b6:c7:43:6d:f5:1e:6d:b2
                        created_at: '2026-01-14T15:56:58+00:00'
                        username: server-1
                        credentials:
                          user: donn
                          password: 398ig362ci
                        port: '2222'
                        access_ip: 189.1.2.0
                        server_id: sv_8NkvdyGKDeLpx
                        status: connected
                    meta: {}
              schema:
                $ref: '#/components/schemas/out_of_band_connection'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.servers.create_out_of_band_connection(server_id="sv_8NkvdyGKDeLpx", data={
                    "type": latitudesh_python_sdk.CreateServerOutOfBandServersType.OUT_OF_BAND,
                    "attributes": {
                        "ssh_key_id": "ssh_3YjJOLMydvZ87",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Servers.StartOutOfBandConnection(ctx, \"sv_8NkvdyGKDeLpx\", operations.CreateServerOutOfBandServersRequestBody{\n        Data: operations.CreateServerOutOfBandServersData{\n            Type: operations.CreateServerOutOfBandServersTypeOutOfBand,\n            Attributes: &operations.CreateServerOutOfBandServersAttributes{\n                SSHKeyID: latitudeshgosdk.Pointer(\"ssh_3YjJOLMydvZ87\"),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.OutOfBandConnection != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.servers.startOutOfBandConnection({
                serverId: "sv_8NkvdyGKDeLpx",
                requestBody: {
                  data: {
                    type: "out_of_band",
                    attributes: {
                      sshKeyId: "ssh_3YjJOLMydvZ87",
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    out_of_band_connection:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                ssh_key:
                  type: object
                  properties:
                    id:
                      type: string
                    description:
                      type: string
                    fingerprint:
                      type: string
                created_at:
                  type: string
                username:
                  type: string
                credentials:
                  type: object
                  description: >-
                    credentials are valid only when the server is deployed with
                    ssh keys
                  properties:
                    user:
                      type: string
                    password:
                      type: string
                port:
                  type: string
                access_ip:
                  type: string
                server_id:
                  type: string
                status:
                  type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````